> ## Documentation Index
> Fetch the complete documentation index at: https://docs.siftd.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Connections

> Get a list of connections for a workspace



## OpenAPI

````yaml GET /workspaces/{workspace_id}/connections
openapi: 3.0.0
info:
  description: API For SiftD Platform Intelligence Notebooks(SPIN)
  title: SPIN Server API
  contact: {}
  version: '1.0'
servers:
  - url: https://s-server-demo.siftd.ai/api
security:
  - bearerAuth: []
paths:
  /workspaces/{workspace_id}/connections:
    get:
      tags:
        - connections
      summary: List connections
      description: Get a list of connections for a workspace
      parameters:
        - description: Organization ID
          name: org_id
          in: query
          required: true
          schema:
            type: string
        - description: Workspace ID
          name: workspace_id
          in: path
          required: true
          schema:
            type: string
        - description: Regex to filter connections by name
          name: name_regex
          in: query
          schema:
            type: string
        - description: Maximum number of items to return
          name: limit
          in: query
          schema:
            type: integer
            default: 100
        - description: Number of items to skip
          name: offset
          in: query
          schema:
            type: integer
            default: 0
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/models.ConnectionConfig'
components:
  schemas:
    models.ConnectionConfig:
      type: object
      properties:
        credential:
          type: string
        description:
          type: string
        id:
          type: string
        name:
          type: string
        properties:
          type: object
          additionalProperties:
            type: string
        scheme:
          $ref: '#/components/schemas/models.SpinScheme'
    models.SpinScheme:
      type: string
      enum:
        - ''
        - aws
        - azr
        - gcp
        - file
        - k8s
        - ddog
        - github
        - p8s
        - jenkins
        - grafana
        - splunk
        - shell
        - python
        - markdown
        - rest
      x-enum-varnames:
        - InvalidScheme
        - Aws
        - Azure
        - Gcp
        - File
        - KubeScheme
        - DatadogScheme
        - GithubScheme
        - Prometheus
        - JenkinsScheme
        - GrafanaScheme
        - SplunkScheme
        - ShellScheme
        - PythonScheme
        - MarkdownScheme
        - RestScheme
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````